## minia 3.2.0

=== CMakeLists.txt ===
project(minia)

cmake_minimum_required (VERSION 2.6)

################################################################################
# The version number.
################################################################################
# The default version number is the latest official build
SET (gatb-tool_VERSION_MAJOR 3)
SET (gatb-tool_VERSION_MINOR 2)
SET (gatb-tool_VERSION_PATCH 0)

# But, it is possible to define another release number during a local build
IF (DEFINED MAJOR)
    SET (gatb-tool_VERSION_MAJOR ${MAJOR})
ENDIF()
IF (DEFINED MINOR)
    SET (gatb-tool_VERSION_MINOR ${MINOR})
ENDIF()
IF (DEFINED PATCH)
    SET (gatb-tool_VERSION_PATCH ${PATCH})
ENDIF()

set (gatb-tool-version ${gatb-tool_VERSION_MAJOR}.${gatb-tool_VERSION_MINOR}.${gatb-tool_VERSION_PATCH})

# However, continuous integration has priority over local compilation
IF (DEFINED JENKINS_TAG)
    SET (gatb-tool-version ${JENKINS_TAG})
ENDIF()

#############################
# getting git version
#from http://stackoverflow.com/questions/1435953/how-can-i-pass-git-sha1-to-compiler-as-definition-using-cmake
exec_program(
    "git"
    ${CMAKE_CURRENT_SOURCE_DIR}
    ARGS "rev-parse --short HEAD"
    OUTPUT_VARIABLE VERSION_SHA1 )

add_definitions( -DGIT_SHA1="${VERSION_SHA1}" )

################################################################################
# Define cmake modules directory
################################################################################
SET (GATB_CORE_HOME  ${PROJECT_SOURCE_DIR}/thirdparty/gatb-core/gatb-core)
SET (CMAKE_MODULE_PATH ${GATB_CORE_HOME}/cmake)

################################################################################
# SUPPORTED KMER SIZES
################################################################################

# One can uncomment this line and set the wanted values
#set (KSIZE_LIST "32   64   96  128  160  192  224  256")
# by default, it's compiling up to 128.

################################################################################
# THIRD PARTIES
################################################################################

# We don't want to install some GATB-CORE artifacts
SET (GATB_CORE_EXCLUDE_TOOLS     1)
SET (GATB_CORE_EXCLUDE_TESTS     1)
SET (GATB_CORE_EXCLUDE_EXAMPLES  1)

# GATB CORE
include (GatbCore)

################################################################################
# TOOL
################################################################################

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

# We add the gatb-core include directory
include_directories (${gatb-core-includes})

# We add the path for extra libraries
link_directories (${gatb-core-extra-libraries-path})

set (PROGRAM_SOURCE_DIR ${PROJECT_SOURCE_DIR}/src)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

include_directories (${PROGRAM_SOURCE_DIR})
file (GLOB_RECURSE  ProjectFiles  ${PROGRAM_SOURCE_DIR}/*)
add_executable(${PROJECT_NAME} ${ProjectFiles})
target_link_libraries(${PROJECT_NAME} ${gatb-core-libraries})

# merci
set (MERCI_SOURCE_DIR ${PROJECT_SOURCE_DIR}/merci)
include_directories (${MERCI_SOURCE_DIR})
file (GLOB_RECURSE  MerciFiles  ${MERCI_SOURCE_DIR}/*.cpp)
add_executable("merci"  ${MerciFiles})
target_link_libraries("merci" ${gatb-core-libraries})


################################################################################
#  DOC
################################################################################
set (SKIP_DOC 1)
if (NOT DEFINED SKIP_DOC)
    add_subdirectory (doc)
endif()

################################################################################
#  PACKAGING
################################################################################
# We set the version number
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY  "gatb-tool ${PROJECT_NAME}")
SET (CPACK_PACKAGE_VENDOR               "Genscale team (INRIA)")
SET (CPACK_PACKAGE_VERSION_MAJOR        "${gatb-tool_VERSION_MAJOR}")
SET (CPACK_PACKAGE_VERSION_MINOR        "${gatb-tool_VERSION_MINOR}")
SET (CPACK_PACKAGE_VERSION_PATCH        "${gatb-tool_VERSION_PATCH}")
SET (CPACK_PACKAGE_VERSION              "${gatb-tool-version}")

# We set the kind of archive
SET (CPACK_GENERATOR                    "TGZ")
SET (CPACK_SOURCE_GENERATOR             "TGZ")

# We ignore unwanted files for the source archive
SET (CPACK_SOURCE_IGNORE_FILES
    "^${PROJECT_SOURCE_DIR}/\\.git/"     ;
    "^${PROJECT_SOURCE_DIR}/\\.gitmodules" ;
    "^${PROJECT_SOURCE_DIR}/\\.gitignore" ;
    "^${PROJECT_SOURCE_DIR}/build/"  ;
    "^${GATB_CORE_HOME}/\\.cproject" ;
    "^${GATB_CORE_HOME}/\\.git/"     ;
    "^${GATB_CORE_HOME}/\\.project"  ;
    "^${GATB_CORE_HOME}/\\.gitignore"
)

# We copy the project binary to the 'bin' directory
INSTALL (TARGETS ${PROJECT_NAME} DESTINATION bin)
INSTALL (DIRECTORY "${PROJECT_SOURCE_DIR}/test/" DESTINATION test)
INSTALL (FILES LICENSE README.md DESTINATION bin/..)

# We include the "bin" tag into binary archive file name
set (CPACK_PACKAGE_FILE_NAME  ${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}-bin-${CMAKE_SYSTEM_NAME})

include (CPack)

## minia 1.6067+dfsg

=== debian/changelog ===
minia (1.6067+dfsg-2) unstable; urgency=low

  [ Olivier Sallou ]
  * d/control: Add info on assembler term (Closes: #735158).
               Add missing deps (Closes: #735331).

  [ Andreas Tille ]
  * d/upstream: Fixed reference

 -- Olivier Sallou <osallou@debian.org>  Mon, 13 Jan 2014 13:24:12 +0100

minia (1.6067+dfsg-1) unstable; urgency=medium

  * First debian package (Closes: #735158).

 -- Olivier Sallou <osallou@debian.org>  Sat, 21 Dec 2013 16:55:29 +0100

=== debian/control ===
Source: minia
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
 bc, zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/minia/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/minia/trunk/
Homepage: http://minia.genouest.org/

Package: minia
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         zlib1g, bc
Description: short-read biological sequence assembler
 Short-read DNA sequence assembler based on a de Bruijn graph,
 capable of assembling a human genome on a desktop computer in a day.
 .
 The output of Minia is a set of contigs.
 Minia produces results of similar contiguity and accuracy to other 
 de Bruijn assemblers (e.g. Velvet).

## minia 1.6088

=== debian/changelog ===
minia (1.6088-1) unstable; urgency=low

  * New upstream release 
    Upstream doc added to source package

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Feb 2014 15:05:20 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@

get-orig-source:
	uscan --verbose --force-download --repack --repack-compression xz

override_dh_clean:
	dh_clean
	rm -f minia

## minia 1.6906

=== debian/changelog ===
minia (1.6906-2) unstable; urgency=medium

  * Team upload.

  [Nadiya Sitdykova]
  * add autopkgtest test-suite 

  [ Andreas Tille ]
  * debhelper 10
  * cme fix dpkg-control
  * hardening
  * Standards-Version: 4.1.1
  * Point watch file to new location to spot new upstream version

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Fri, 01 Dec 2017 09:43:59 +0100

minia (1.6906-1) unstable; urgency=medium

  * New upstream release 
  $ d/patches: updates patches to new release

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Nov 2014 07:55:05 +0100

=== debian/control ===
Source: minia
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               bc,
               zlib1g-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/minia.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/minia.git
Homepage: http://minia.genouest.org/

Package: minia
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zlib1g,
         bc
Description: short-read biological sequence assembler
 Short-read DNA sequence assembler based on a de Bruijn graph,
 capable of assembling a human genome on a desktop computer in a day.
 .
 The output of Minia is a set of contigs.
 Minia produces results of similar contiguity and accuracy to other 
 de Bruijn assemblers (e.g. Velvet).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f minia

=== debian/watch ===
version=4

https://github.com/GATB/minia/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## minia 3.2.0

=== debian/changelog ===
minia (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Adding a patch to skip inclusion of gatb-core's CMakefile, which is not
    needed in the build process.

 -- Andrius Merkys <merkys@debian.org>  Thu, 04 Jul 2019 02:12:26 -0400

minia (3.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add myself as Uploader
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Build-Depends: libgatbcore-dev
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Build-Depends: libboost-dev, libhdf5-dev
  * Versioned Build-Depends: libgatbcore-dev (>= 1.4.1+git20181225.44d5a44~)
  * Do not set rpath
  * Add rudimentary manpages
  * Rewrite autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 25 Jan 2019 22:29:11 +0100

=== debian/control ===
Source: minia
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               cmake,
               bc,
               zlib1g-dev,
               libboost-dev,
               libgatbcore-dev (>= 1.4.1+git20181225.44d5a44~),
               libhdf5-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/minia
Vcs-Git: https://salsa.debian.org/med-team/minia.git
Homepage: http://minia.genouest.org/

Package: minia
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zlib1g,
         bc
Recommends: samtools
Suggests: bandage
Description: short-read biological sequence assembler
 Short-read DNA sequence assembler based on a de Bruijn graph,
 capable of assembling a human genome on a desktop computer in a day.
 .
 The output of Minia is a set of contigs.
 Minia produces results of similar contiguity and accuracy to other
 de Bruijn assemblers (e.g. Velvet).

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, samtools, python
Restrictions: allow-stderr

## minia 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,10 @@
     ARGS "rev-parse --short HEAD"
     OUTPUT_VARIABLE VERSION_SHA1 )
 
-add_definitions( -DGIT_SHA1="${VERSION_SHA1}" )
+if ( VERSION_SHA1 MATCHES "^[0-9a-f]+$") # might return "git commit fatal: not a git repository"
+    message("Git version: ${VERSION_SHA1}")
+    add_definitions( -DGIT_SHA1="${VERSION_SHA1}" )
+endif()
 
 ################################################################################
 # Define cmake modules directory
@@ -94,6 +97,12 @@
 target_link_libraries("merci" ${gatb-core-libraries})
 
 
+# that file will hold the version information as a #define
+configure_file (
+${PROJECT_SOURCE_DIR}/src/build_info.hpp.in
+${PROJECT_SOURCE_DIR}/src/build_info.hpp
+)
+
 ################################################################################
 #  DOC
 ################################################################################

=== debian/changelog ===
minia (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.1

 -- Andrius Merkys <merkys@debian.org>  Fri, 05 Jul 2019 01:35:17 -0400

## minia 3.2.1%2Bgit20200522.4960a99

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # The default version number is the latest official build
 SET (gatb-tool_VERSION_MAJOR 3)
 SET (gatb-tool_VERSION_MINOR 2)
-SET (gatb-tool_VERSION_PATCH 0)
+SET (gatb-tool_VERSION_PATCH 2)
 
 # But, it is possible to define another release number during a local build
 IF (DEFINED MAJOR)
@@ -84,6 +84,8 @@
 set (PROGRAM_SOURCE_DIR ${PROJECT_SOURCE_DIR}/src)
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
 
+cmake_policy(SET CMP0009 NEW) # fixes cmake complaining about symlinks
+
 include_directories (${PROGRAM_SOURCE_DIR})
 file (GLOB_RECURSE  ProjectFiles  ${PROGRAM_SOURCE_DIR}/*)
 add_executable(${PROJECT_NAME} ${ProjectFiles})

## minia 3.2.1+git20191130.5b131b9

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # The default version number is the latest official build
 SET (gatb-tool_VERSION_MAJOR 3)
 SET (gatb-tool_VERSION_MINOR 2)
-SET (gatb-tool_VERSION_PATCH 2)
+SET (gatb-tool_VERSION_PATCH 1)
 
 # But, it is possible to define another release number during a local build
 IF (DEFINED MAJOR)

=== debian/changelog ===
minia (3.2.1+git20191130.5b131b9-2) unstable; urgency=medium

  * Use 2to3 to port from Python2 to Python3
    Closes: #943115
  * Latest update also fixed autopkgtest issue
    Closes: #939894

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2019 09:26:55 +0100

minia (3.2.1+git20191130.5b131b9-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream git commit since released version is not compatible
    with gatb-core 1.4.1+git20191130.664696c+dfsg
    Closes: #946626
  * Test-Depends: bandage
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Andrius Merkys ]
  * Adding missing copyright details for files under thirdparty/contig2fastg/.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Dec 2019 17:24:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                bc,
                zlib1g-dev,
                libboost-dev,
-               libgatbcore-dev (>= 1.4.1+git20181225.44d5a44~),
+               libgatbcore-dev (>= 1.4.1+git20191130.664696c),
                libhdf5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/minia
 Vcs-Git: https://salsa.debian.org/med-team/minia.git
 Homepage: http://minia.genouest.org/

## minia 3.2.1+git20200409.489e374

=== debian/changelog ===
minia (3.2.1+git20200409.489e374-1build1) groovy; urgency=medium

  * No-change rebuild against libhdf5-103-1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 15 May 2020 13:59:31 +0000

minia (3.2.1+git20200409.489e374-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * d/rules clean: removing autogenerated header file.

 -- Steffen Moeller <moeller@debian.org>  Mon, 11 May 2020 02:19:32 +0200

## minia 3.2.1+git20200522.4960a99

=== doc/CMakeLists.txt ===

################################################################################
#  DOC 
################################################################################

# http://public.kitware.com/Wiki/CMakeUserUseLATEX
INCLUDE (UseLATEX)

# We define our document. This will add a 'pdf' target in our makefile
ADD_LATEX_DOCUMENT (manual.tex)

# We tell what doc files to be installed
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/manual.pdf DESTINATION doc/minia/)

=== debian/changelog ===
minia (3.2.1+git20200522.4960a99-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/u/metadata: Added ref to conda

 -- Steffen Moeller <moeller@debian.org>  Sun, 24 May 2020 17:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                libboost-dev,
                libgatbcore-dev (>= 1.4.1+git20191130.664696c),
                libhdf5-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/minia
 Vcs-Git: https://salsa.debian.org/med-team/minia.git
 Homepage: http://minia.genouest.org/
+Rules-Requires-Root: no
 
 Package: minia
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f minia
+	rm -f minia src/build_info.hpp

=== debian/watch ===
version=4

opts="mode=git,pretty=3.2.1+git%cd.%h" \
    https://github.com/GATB/minia.git HEAD

# Released version is not compatible with gatb-core 1.4.1+git20191130.664696c+dfsg
# So stick to latest Git commit for the moment
#  https://github.com/GATB/minia/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## minia 3.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # The default version number is the latest official build
 SET (gatb-tool_VERSION_MAJOR 3)
 SET (gatb-tool_VERSION_MINOR 2)
-SET (gatb-tool_VERSION_PATCH 1)
+SET (gatb-tool_VERSION_PATCH 5)
 
 # But, it is possible to define another release number during a local build
 IF (DEFINED MAJOR)

=== debian/changelog ===
minia (3.2.6-5) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1113290
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Oct 2025 20:30:51 +0200

minia (3.2.6-4) unstable; urgency=medium

  * add build support for loongarch64
    Closes: #1058903

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 10:13:19 +0100

minia (3.2.6-3) unstable; urgency=medium

  * Team upload.
  * d/control: Only build on architectures supported by gatb-core.
    (Closes: #1031532)
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 17 Feb 2023 17:57:56 -0500

minia (3.2.6-2) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 12:35:06 +0100

minia (3.2.6-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Adjusted build dependencies to patched version of gatb 1.4.2
  * d/rules - improved clean
  * d/watch - using regular releases again (up from 3.2.1 to 3.2.4)

  [ Vagrant Cascadian ]
  * Do not embed kernel version in binary to enable reproducible builds
    Closes: #998420

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 12 Nov 2021 09:35:16 +0100

=== debian/control ===
Source: minia
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Olivier Sallou <osallou@debian.org>,
 Andreas Tille <tille@debian.org>,
 Steffen Moeller <moeller@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 bc,
 zlib1g-dev,
 libboost-dev,
 libgatbcore-dev,
 libhdf5-dev,
Vcs-Browser: https://salsa.debian.org/med-team/minia
Vcs-Git: https://salsa.debian.org/med-team/minia.git
Homepage: http://minia.genouest.org/
Rules-Requires-Root: no

Package: minia
Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 zlib1g,
 bc,
Recommends:
 samtools,
Suggests:
 bandage,
Description: short-read biological sequence assembler
 What was referred to as "next-generation" DNA sequencing up to
 the year 2020 delivered only "short" reads up to ~600 base pairs
 in length that would then have to be puzzled by random overlaps
 in their sequence towards a complete genome. This is the genome
 assembly. And there are many biological pitfalls on long stretches
 of low complexity regions and copy number variations and other
 sorts of redundancies that render this difficult.
 .
 This package provides a short-read DNA sequence assembler based on a
 de Bruijn graph, capable of assembling a human genome on a desktop
 computer in a day.
 .
 The output of Minia is a set of contigs, i.e. stretches of gap-free
 linear overlaps of short reads. In the best possible case this is
 a whole chromosome.
 .
 Minia produces results of similar contiguity and accuracy to other
 de Bruijn assemblers (e.g. Velvet).

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
+
 override_dh_clean:
 	dh_clean
 	rm -f minia src/build_info.hpp
+	rm -rf obj-x86_64-linux-gnu src/build_info.hpp

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, samtools, python3, bandage
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: GATB
Project: @PACKAGE@
